#ifndef ADS_DRIVER1553_DDC_SIM_H
#define ADS_DRIVER1553_DDC_SIM_H

#include <QObject>

#include "ads_driver1553.h"

class DummyDriver1553: public QObject, public Ads_driver1553
{
  Q_OBJECT
  //Q_PLUGIN_METADATA(IID "com.leonardocompany.ads_drvier1553")

  //Q_INTERFACES(Ads_driver1553)
  //Q_PROPERTY(bool niceInterrupts READ niceInterrupts WRITE setNiceInterrupts)
public:
  DummyDriver1553();

  IAvbDriver* createDriver(QSettings* settings);

  bool mNiceInterrupts;

  bool niceInterrupts() const;

public slots:
  void setNiceInterrupts(bool);
};

Ads_driver1553* AdsDriver1553_DummyDriver();

#endif // ADS_DRIVER1553_DDC_SIM_H
